Download it now!
Bug 134035 - Separate date format in Writer and Calc for Hungarian
Summary: Separate date format in Writer and Calc for Hungarian
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-16 10:37 UTC by NISZ LibreOffice Team
Modified: 2020-06-25 11:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer (23.54 KB, image/png)
2020-06-16 10:37 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-16 10:37:46 UTC
Created attachment 162046 [details]
Screenshot of the problem in Writer

Currently the default date format in Writer date fields is DD/MM/YYYY which is the same as in Calc. 
For most use cases this is not the best choice, YYYY. mmmm DD. Would be better.
This is a workaround request until bug #46448 is properly solved.

Steps to reproduce:
    1. Open the Fields dialog and try to insert a date field in Hungarian locale

Actual results:
Default selected format is ISO-8601 DD/MM/YYYY

Expected results:
The default selected format is YYYY. mmmm DD.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 33a720ab802491f15b247e09755cd36205b6f435
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 Commit Notification 2020-06-18 09:39:13 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/97835320bfe7a2fa61f10f102feb961f81057118

tdf#134035 sw: insert long date format for Hungarian

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-06-25 11:49:39 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/86ed93261137e24c679baed137cc4559eb5376e4

tdf#134035 sw: insert long date format for Hungarian

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.